local ____lualib = require("lualib_bundle")
local __TS__Class = ____lualib.__TS__Class
local __TS__ClassExtends = ____lualib.__TS__ClassExtends
local ____exports = {}
local ____isaac_2Dtypescript_2Ddefinitions = require("isaac-typescript-definitions")
local ModCallback = ____isaac_2Dtypescript_2Ddefinitions.ModCallback
local ____gridEntitiesSpecific = require("functions.gridEntitiesSpecific")
local getRocks = ____gridEntitiesSpecific.getRocks
local ____shouldFire = require("shouldFire")
local shouldFireRock = ____shouldFire.shouldFireRock
local ____CustomCallback = require("classes.private.CustomCallback")
local CustomCallback = ____CustomCallback.CustomCallback
____exports.PostRockUpdate = __TS__Class()
local PostRockUpdate = ____exports.PostRockUpdate
PostRockUpdate.name = "PostRockUpdate"
__TS__ClassExtends(PostRockUpdate, CustomCallback)
function PostRockUpdate.prototype.____constructor(self)
    CustomCallback.prototype.____constructor(self)
    self.shouldFire = shouldFireRock
    self.postUpdate = function()
        for ____, rock in ipairs(getRocks(nil)) do
            self:fire(rock)
        end
    end
    self.callbacksUsed = {{ModCallback.POST_UPDATE, self.postUpdate}}
end
return ____exports
